"""
Ce module contient les outils de comunications entre l'homme et la machine.
"""

def demander_un_entier():
    """
    Cette fonction demande à l'utilisateur de renter sur le terminal un entier.
    Cette fonction continue à demander l'entier tant que l'utilisateur n'a 
    pas donné une entier valide.

    TESTS:
        >>> save_input = __builtins__.input
        >>> def input_generator():
        ...    yield( "aqd" )
        ...    yield( "3.0" )
        ...    yield( "4" )
        ...    yield( "9.0" )
        ...    yield( "42" )
        ...    yield( "2.0" )
        >>> input_g = input_generator()
        >>> __builtins__.input = lambda x: next( input_g )
        >>> demander_un_entier()
        Vous n'avez pas donné un entier.
        Vous n'avez pas donné un entier.
        4
        >>> __builtins__.input = save_input
    """
    while True :
        try:
            return int( input("Veuillez donner un entier: ")  )
        except ValueError:
            print( "Vous n'avez pas donné un entier." )

if __name__ == "__main__":
    import doctest
    doctest.testmod()
