"""
C'est le module "math".

Ce module contient tous les outils mathématique du projet.
"""

def addition_entiers( entier_1, entier_2 ):
    """
    Renvoie la somme de deux entiers.

    PARAMETRES :
      entier_1 : un entier
      entier_2 : un entier

    SORTIE :
      un entier

    EXEMPLES:

        >>> addition_entiers( 2, 3 )
        5
        >>> addition_entiers( 0, 3 )
        3
        >>> addition_entiers( 7, 0 )
        7
        >>> addition_entiers( "2", 3 )
        Traceback (most recent call last):
           ...
        AssertionError: Les parmètres doivent être des entiers.
    """
    assert type(entier_1) is int and type(entier_2) is int, "Les parmètres doivent être des entiers."
    return entier_1 + entier_2

if __name__ == "__main__":
    import doctest
    doctest.testmod()
